﻿/* Custom PrismJS theme based on WebAwesome Premium theme */

code[class*=language-],
pre[class*=language-] {
    color: var(--wa-color-text-normal);
    background: none;
    font-family: var(--wa-font-family-code), serif;
    font-size: var(--wa-font-size-s);
    text-align: left;
    white-space: pre;
    word-spacing: normal;
    word-break: normal;
    word-wrap: normal;
    line-height: var(--wa-line-height-normal);
    tab-size: 4;
    hyphens: none;
}

pre[class*=language-] {
    padding: var(--wa-space-m);
    margin: var(--wa-space-xs) 0;
    overflow: auto;
    border-radius: var(--wa-border-radius-m);
}

:not(pre) > code[class*=language-],
pre[class*=language-] {
    background: var(--wa-color-surface-lowered);
    border: var(--wa-border-width-s) var(--wa-border-style) var(--wa-color-surface-border);
}

:not(pre) > code[class*=language-] {
    padding: .1em;
    border-radius: var(--wa-border-radius-s);
    white-space: normal;
}

.token.block-comment,
.token.cdata,
.token.comment,
.token.doctype,
.token.prolog {
    color: var(--wa-color-text-quiet);
}

.token.punctuation {
    color: var(--wa-color-neutral-60);
}

.token.attr-name,
.token.deleted,
.token.namespace,
.token.tag {
    color: var(--wa-color-danger-on-quiet);
}

.token.function-name {
    color: var(--wa-color-brand-on-quiet);
}

.token.boolean,
.token.function,
.token.number {
    color: var(--wa-color-warning-on-quiet);
}

.token.class-name,
.token.constant,
.token.property,
.token.symbol {
    color: var(--wa-color-success-on-quiet);
}

.token.atrule,
.token.builtin,
.token.important,
.token.keyword,
.token.selector {
    color: var(--wa-color-brand-on-quiet);
}

.token.attr-value,
.token.char,
.token.regex,
.token.string,
.token.variable {
    color: var(--wa-color-success-on-quiet);
}

.token.entity,
.token.operator,
.token.url {
    color: var(--wa-color-brand-on-quiet);
}

.token.bold,
.token.important {
    font-weight: var(--wa-font-weight-bold);
}

.token.italic {
    font-style: italic;
}

.token.entity {
    cursor: help;
}

.token.inserted {
    color: var(--wa-color-success-on-quiet);
}
